Bug 551570 - [abrt] crash detected in bash-4.0.35-2.fc12
[abrt] crash detected in bash-4.0.35-2.fc12
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:65fdab3f47225cd9944d3ee2738...
:
: 543762 547083 569566 578680 590332 601486 608899 610023 610028 610040 643243 656792 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-31 06:10 EST by Kaare Fiedler Christiansen
Modified: 2011-02-09 01:10 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-06 15:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (2.04 KB, text/plain)
2009-12-31 06:10 EST, Kaare Fiedler Christiansen
no flags Details
lspci output for inspiron 530 (10.73 KB, text/plain)
2010-04-07 21:08 EDT, Iván Jiménez
no flags Details
dmesg output for inspiron 530 (34.51 KB, text/plain)
2010-04-07 21:09 EDT, Iván Jiménez
no flags Details
logs.7z (15.54 KB, application/x-7z-compressed)
2010-07-01 10:01 EDT, Jayrome
no flags Details
gzipped tar of files requested in commet #15 (16.42 KB, application/x-gzip)
2010-10-18 10:47 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Kaare Fiedler Christiansen 2009-12-31 06:10:25 EST
abrt 1.0.0 detected a crash.

How to reproduce
-----
Not reproducible all the time, but has happened twice in approximately a month

1. Wait for the computer to hibernate while on battery power
2. Turn on the computer
3. Bash will coredump every time it is started

Comment: Happens every time bash is started, no matter if it's by starting a terminal, logging in at teh text prompt, or starting a script using bash as interpreter
Attached file: backtrace
cmdline: /bin/sh /usr/bin/abrt-gui
component: bash
executable: /bin/bash
kernel: 2.6.31.9-174.fc12.i686
package: bash-4.0.35-2.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 Kaare Fiedler Christiansen 2009-12-31 06:10:27 EST
Created attachment 381074 [details]
File: backtrace
Comment 2 Roman Rakus 2010-03-05 10:21:29 EST
Look like the problem appears only on F12 after hibernation. I don't have right now F12 on my notebook, but I'm pretty sure, the problem stands somewhere in hibernation (not directly in bash). Let's try to reassign bug to the kernel.
Comment 3 Roman Rakus 2010-03-05 10:34:04 EST
*** Bug 547083 has been marked as a duplicate of this bug. ***
Comment 4 Roman Rakus 2010-03-05 10:34:49 EST
*** Bug 543762 has been marked as a duplicate of this bug. ***
Comment 5 Roman Rakus 2010-04-06 12:03:30 EDT
*** Bug 578680 has been marked as a duplicate of this bug. ***
Comment 6 Michal Schmidt 2010-04-07 06:01:24 EDT
Since other people are using hibernation without problems, the bug may be hardware-dependent.

Could people seeing this (and the duplicates) bug please attach the output of "lspci -vvnn" and "dmesg"? Thanks.
Comment 7 Iván Jiménez 2010-04-07 21:08:18 EDT
Created attachment 405143 [details]
lspci output for inspiron 530
Comment 8 Iván Jiménez 2010-04-07 21:09:33 EDT
Created attachment 405144 [details]
dmesg output for inspiron 530
Comment 9 Roman Rakus 2010-05-20 07:42:13 EDT
*** Bug 590332 has been marked as a duplicate of this bug. ***
Comment 10 Roman Rakus 2010-05-20 07:47:57 EDT
*** Bug 569566 has been marked as a duplicate of this bug. ***
Comment 11 Matthieu Araman 2010-06-14 17:14:44 EDT
http://www.smolts.org/client/show/pub_7441b11b-0284-4d52-8467-3f98e3083ac5
Acer Aspire One , 1G RAM, model with Broadcom wifi 5312
Comment 12 Matthieu Araman 2010-06-14 17:15:21 EDT
oops, sorry wrong bug
Comment 13 Roman Rakus 2010-06-30 10:23:23 EDT
*** Bug 608899 has been marked as a duplicate of this bug. ***
Comment 14 Roman Rakus 2010-07-01 09:38:25 EDT
*** Bug 601486 has been marked as a duplicate of this bug. ***
Comment 15 Roman Rakus 2010-07-01 09:50:21 EDT
Newly added people to CC; can you please provide the output of "lspci -vvnn" and "dmesg"?
Comment 16 Jayrome 2010-07-01 10:01:11 EDT
Created attachment 428435 [details]
logs.7z

Dell mini 10v
Comment 17 Roman Rakus 2010-07-01 11:22:36 EDT
*** Bug 610040 has been marked as a duplicate of this bug. ***
Comment 18 Roman Rakus 2010-07-01 11:37:25 EDT
*** Bug 610028 has been marked as a duplicate of this bug. ***
Comment 19 Ondrej Vasik 2010-07-02 03:03:06 EDT
*** Bug 610023 has been marked as a duplicate of this bug. ***
Comment 20 Roman Rakus 2010-10-18 09:16:24 EDT
*** Bug 643243 has been marked as a duplicate of this bug. ***
Comment 21 Peter H. Jones 2010-10-18 10:47:41 EDT
Created attachment 454137 [details]
gzipped tar of files requested in commet #15

Attaching files requested in comment 15.
I have a hibernate bug, reported in bug 438107.
Comment 22 Bug Zapper 2010-11-03 22:09:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Kaare Fiedler Christiansen 2010-11-06 15:33:40 EDT
I longer have Fedora 12 nor the hardware I originally saw this on.
Looking at duplicates it seems to have been reported on Fedora 12 only. If anyone in the CC list have seen this particular bug with bash crashing in later versions, please comment, and the bug can be reopened.

As for now I'm closing this bug.
Comment 24 Roman Rakus 2011-02-09 01:10:14 EST
*** Bug 656792 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.